From ef1f05c22d39e393d233b17fc95775a1d50a1ba6 Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tv@fuzzy.cz>
Date: Tue, 18 Jun 2024 21:27:34 +0200
Subject: [PATCH v22b 07/29] review

---
 src/backend/nodes/tidbitmap.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/backend/nodes/tidbitmap.c b/src/backend/nodes/tidbitmap.c
index 6d1fbcb03e9..eeef413b7f5 100644
--- a/src/backend/nodes/tidbitmap.c
+++ b/src/backend/nodes/tidbitmap.c
@@ -174,6 +174,9 @@ struct TIDBitmap
  * TBMPrivateIterator is used to track our progress.  There can be several
  * iterators scanning the same bitmap concurrently.  Note that the bitmap
  * becomes read-only as soon as any iterator is created.
+ *
+ * XXX Doesn't the commit message call this TBMSerialIterator? I'm not sure
+ * which of those two options is better. Maybe the "private" is better.
  */
 struct TBMPrivateIterator
 {
@@ -1564,6 +1567,8 @@ tbm_calculate_entries(double maxbytes)
  * process must already have called tbm_prepare_shared_iterate() to create and
  * set up the TBMSharedIteratorState. The TBMIterator is passed by reference to
  * accommodate callers who would like to allocate it inside an existing struct.
+ *
+ * XXX Maybe don't say "non-shared" but "private"? Seems a bit confusing.
  */
 void
 tbm_begin_iterate(TBMIterator *iterator, TIDBitmap *tbm,
-- 
2.45.2

